Subject: Re: Best Directory Structure ?
From: [email-masked] (Laurent Dehoey)

26 Aug 1998 17:15:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi

Michael Hirmke wrote:

> [[email-masked]] wrote:
>
> >In a message dated 8/19/98 1:49:33 AM Pacific Daylight Time, [email-masked]
> >writes:
> >
> >> which
> >>  "real" directory do i associate, for example, to /usr/include
> >There are at least 2 Cygnus include directories which have things which some
> >software insists on looking for in /usr/include.  I haven't had as much
> >trouble with this since I installed make-3.77.
>
> I moved all the files from H-i386-cygwin32/* to the appropriate dirs
> below /usr, so I only have /usr/include, /usr/lib, ... and for my
> additional package /usr/local/include, /usr/local/lib, ...

Hi

Below H-i386-cygwin32 i have :

drwxr-xr-x 162 544      Aucun           0 Jun 18 11:30 bin/
drwxr-xr-x  35 544      Aucun           0 Aug 18 18:00 c/
drwxr-xr-x   7 544      Aucun           0 Aug 20 15:55 etc/
drwxr-xr-x   5 544      Aucun           0 Apr 22 21:47 i386-cygwin32/
drwxr-xr-x  18 544      Aucun           0 Apr 22 21:47 lib/
drwxr-xr-x   7 544      Aucun           0 Apr 22 21:47 libexec/

So, if i understand, I mount/copy/move bin/ to /usr/bin, etc/ to /usr/etc,
i386-cygwin32 to /usr/i386-cygwin32, lib/ to /usr/lib and libexec/ to
/usr/libexec...
but what for i386-cygwin32/include and the include directory "up" to
H-i386-cygwin ?
wich one goes to /usr/include and which one to /usr/local/include ?

In the upper one i have subdirs X11 and g++, on a hpux box g++ goes down
/usr/local/lib and X11 down /usr/local/X11R5/include/ so I  suppose that i
can
mount
/usr/local/include to d:\Cygnus\B19\include right ?

> I then deleted H-i386-cygwin32 !
> This gave me a pretty clean and Linux like directory structure.

I should take a look at that old debian box in the cable room ;-)

TIA

Laurent Dehoey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".